import 'package:auth/src/device_sign_up/link_watch/create_profile_screen.dart';
import 'package:flutter/material.dart';

class AddKidScreen extends StatelessWidget {
  const AddKidScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        margin: EdgeInsets.all(30),
        child: Column(
          spacing: 15,
          children: [
            Spacer(flex: 6),
            Text("Añade a tu peque"),
            Text(
              "Controla su gasto a la vez que aprende hábitos financieros responsables",
            ),
            Container(
              margin: EdgeInsets.symmetric(vertical: 30, horizontal: 50),
              child: Row(
                children: [
                  Column(children: [Text("1"), Text("2"), Text("3")]),
                  Column(
                    children: [
                      Text("Crea su perfil"),
                      Text("Vincula su correa y su reloj"),
                      Text("Carga su hucha"),
                    ],
                  ),
                ],
              ),
            ),
            Text("¡Y todo listo para que tenga su dinero!"),
            Text("Recuerda que necesitas tener un Plan SaveFamily"),
            Text(
              "Si aún no lo tienes, puedes conseguirlo a través de nuestra web",
            ),
            Spacer(flex: 8),
            SizedBox(
              width: double.infinity,
              child: FilledButton(
                onPressed: () => Navigator.push(
                  context,
                  MaterialPageRoute(builder: (_) => CreateProfileScreen()),
                ),
                child: Text("¡Empezar!"),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
